.custom-toggle {
	display: unset;
	
	.toggle-checkbox{
		display: none;

		&:checked{
			~ .toggle-inner{
				> .toggle-button{
					margin-left: 2em;
				}
			}
		}
	}
	.toggle-inner{
		width: 4em;
		height: 2em;
		background-color: #E1E1E1;
		box-shadow: inset 1px 1px 5px 0px #848484;
		border-radius: 20px;
		padding: .2em;
		display: inline-flex;
		margin-right: 1em;
		vertical-align: middle;
		-webkit-transition: all .3s ease;
		-moz-transition: all .3s ease;
		transition: all .3s ease;

		.toggle-button{
			height: 1.6em;
			width: 1.6em;
			background-color: #fff;
			border-radius: 50%;
			margin-left: 0;
			margin-bottom: 0;
			cursor: pointer;
			-webkit-transition: all .3s ease;
			-moz-transition: all .3s ease;
			transition: all .3s ease;
		}
	}
	.toggle-text{
		margin-bottom: 0;
		font-weight: 400;
	}

	/**
	 * Style
	 */
	&.toggle-primary{
		input.toggle-checkbox{
			&:checked ~ .toggle-inner{
				box-shadow: inset 1px 1px 5px 0px darken($primary, 20%);
				background-color: $primary;
			}
		}
	}
	&.toggle-success{
		input.toggle-checkbox{
			&:checked ~ .toggle-inner{
				box-shadow: inset 1px 1px 5px 0px darken($success, 20%);
				background-color: $success;
			}
		}
	}
	&.toggle-info{
		input.toggle-checkbox{
			&:checked ~ .toggle-inner{
				box-shadow: inset 1px 1px 5px 0px darken($info, 20%);
				background-color: $info;
			}
		}
	}
	&.toggle-warning{
		input.toggle-checkbox{
			&:checked ~ .toggle-inner{
				box-shadow: inset 1px 1px 5px 0px darken($warning, 20%);
				background-color: $warning;
			}
		}
	}
	&.toggle-danger{
		input.toggle-checkbox{
			&:checked ~ .toggle-inner{
				box-shadow: inset 1px 1px 5px 0px darken($danger, 20%);
				background-color: $danger;
			}
		}
	}
}